6.0.0-git
2021-01-18

[#6619] Shares: Optionally show all groups
Summary Shares: Optionally show all groups
Queue Horde Base
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2008-04-17 (4659 days ago)
Due
Updated 2008-04-22 (4654 days ago)
Assigned
Resolved 2008-04-22 (4654 days ago)
Milestone
Patch No

History
2008-04-22 16:07:29 Chuck Hagenbuch Comment #4
Assigned to Chuck Hagenbuch
State ⇒ Resolved
Reply to this comment
Committed, thanks!
2008-04-22 14:16:21 thomas (dot) jarosch (at) intra2net (dot) com Comment #3
New Attachment: kronolith-share-show-all-groups.patch Download
Reply to this comment
Here's the patch for kronolith. I've not tested it as I don't have 
kronolith installed right now. Anyway, the code in kronolith already 
used listGroups() which was inconsistent with the Horde base version. 
Should be fixed now.



Thomas


2008-04-22 04:24:55 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
I think I'm fine with this, but you'd need to patch 
kronolith/perms.php too - I think that's the only other place.
2008-04-17 12:47:34 thomas (dot) jarosch (at) intra2net (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Shares: Optionally show all groups
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
New Attachment: horde-share-show-all-groups.patch Download
Reply to this comment
Hello together,



if you enable sharing of Horde's shares, users can grant access to 
groups of users. Normally the user can only see groups he/she is a 
member of. The attached patch allows you to optionally show all groups 
regardless of the membership.



This is useful if you want to grant access f.e. to the group "management"

even if you are not part of that group.



Cheers,

Thomas


Saved Queries